<script>
  import { Menu } from 'view-design'
  import FunctionComponent from '../../../libs/utils/FunctionComponent'
  export default FunctionComponent(Menu,'ht-base-menu','i',{
      preDispose(ctx,) {
          // if (ctx.props['theme'] === 'transparent') {
          //     opts.class.push(`ht-base-menu-theme-${ctx.props['theme']}`)
          // }
          if (ctx.props.transparent == '') {
              this.class.push('ht-base-menu-theme-transparent')
          }
          if (ctx.props.mode =='vertical' && ctx.props.transparent == '') {
              this.class.remove('ht-base-menu-theme-transparent')
          }

      }
  })
</script>
